Chinaunix首页 | 论坛 | 博客
  • 博客访问: 33454
  • 博文数量: 11
  • 博客积分: 0
  • 博客等级: 民兵
  • 技术积分: 147
  • 用 户 组: 普通用户
  • 注册时间: 2013-04-03 11:00
个人简介

navigation、linux、内核、网络技术、网卡驱动、qt、android、ios、irrlicht、ogre

文章分类

全部博文(11)

文章存档

2016年(1)

2013年(10)

我的朋友

分类: 网络与安全

2016-12-23 16:33:23

项目开发中,由于集采服务器使用了博通的万兆网卡(Broadcom Corporation NetXtreme II BCM57810),而程序使用DPDK收包,因此需要测试博通网卡对DPDK的支持性。
1、查询DPDK网站,发现新版本是支持broadcom网卡的,但是没有查到是从哪个版本开始支持的。
2、下载了dpdk 2.2 版本,发现dpdk启动失败。
3、查看DPDK官网,发现需要使用2.6.34以上版本的内核
4、升级内核到2.6.39
5、testmod程序可以正常运行,测试9.5gbps,正常转发,无丢包

阅读(1327) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~
评论热议
请登录后评论。

登录 注册